<!doctype html>
<html>
<head>
    <title>A closer look at the Great Firewall of China | The Tor Project</title>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <meta name="monetization" content="$ilp.uphold.com/pYfXb92JBQN4">
    <link rel="stylesheet" href="../static/css/style.css?h=5fc6c25a">
    <link rel="stylesheet" href="../static/fonts/fontawesome/css/all.min.css?h=9d272f6a">
    <link rel="stylesheet" href="../static/pygments.css">
    <link rel="icon" type="image/x-icon" href="../static/images/favicon/favicon.ico">
    <link rel="icon" type="image/png" href="../static/images/favicon/favicon.png">
    <meta property="og:title" content="A closer look at the Great Firewall of China | Tor Project">
    <meta property="og:description" content="Over the last years, we learned a lot about how the Great Firewall of China is blocking Tor....">
    <meta property="og:image" content="https://blog.torproject.org/static/images/lead.png">
    <meta property="og:url" content="https://blog.torproject.org/closer-look-great-firewall-china/">
    <meta name="twitter:card" content="summary_large_image">
</head>
<body>
  <header>
    <nav>
      <a class="navbar-brand" href="../"><img alt="Tor Blog" src="../static/images/logo.png" /></a>
      <ul class="navbar-nav">
          <li><a href="https://www.torproject.org/about/history/">About</a></li>
          <li><a href="https://support.torproject.org/">Support</a></li>
          <li><a href="https://community.torproject.org/">Community</a></li>
          <li><a href="https://forum.torproject.org/">Forum</a></li>
          <li><a href="https://donate.torproject.org/">Donate</a></li></ul>
    </nav>
  </header>
  <section class="content">
    <main>
  <article class="blog-post">
      <h1 class="title">
        A closer look at the Great Firewall of China
      </h1>
    <p class="meta">by phw | October 6, 2014</p>
    <picture>
      <source media="(min-width:415px)" srcset="../static/images/lead.webp" type="image/webp">
<source srcset="../static/images/lead_small.webp" type="image/webp">

      <img class="lead" src="../static/images/lead.png">
    </picture>
    <div class="body">
      <link rel="stylesheet" href="../static/css/legacy.css?h=21ddbb2d">
      <p>Over the last years, we learned a lot about how the Great Firewall of China <a href="https://blog.torproject.org/blog/knock-knock-knockin-bridges-doors" rel="nofollow">is</a> <a href="http://www.cs.kau.se/philwint/gfw/" rel="nofollow">blocking</a> <a href="http://arxiv.org/pdf/1312.5739v1.pdf" rel="nofollow">Tor</a>.  Some questions remained unanswered, however.  Roya, Mueen, Jed, and I just published a <a href="http://www.cs.unm.edu/~royaen/gfw/" rel="nofollow">project</a> which seeks to answer some of these open questions.  Being curious as we are, we tried to find answers to the following questions:</p>

<ul>
<li>Is the filtering decentralised (i.e., happening in provinces) or centralised (i.e., happening in Internet exchange points (IXP))?</li>
<li>Are there any temporal patterns in the filtering? Or in other words, are there certain times when people are more likely to be able to connect to Tor?</li>
<li>Similarly, are there any spatial patterns?  Are folks in some special regions of China able to connect to Tor while others cannot?</li>
<li>When a computer in China tries to connect to a Tor relay, what part of the TCP handshake is blocked?</li>
</ul>

<p>It turns out that some of these questions are quite tricky to answer.  For example, to find spatial patterns, we need to be able to measure the connectivity between <em>many</em> Tor relays and <em>many</em> clients in China. However, we are not able to control <em>even a single</em> one of these machines.  So how do we proceed from here?  As so often, side channels come to the rescue!  In particular, we made use of two neat network measurement side channels which are the <a href="http://arxiv.org/pdf/1312.5739v1.pdf" rel="nofollow">hybrid idle scan</a> and the SYN backlog scan.  The backlog scan is a new side channel we discovered and discuss in our paper.  Equipped with these two powerful techniques, we were able to infer if there is packet loss between relay A and client B even though we cannot control A and B.</p>

<p>You might notice that our measurement techniques are quite different from most other Internet censorship studies which rely on machines inside the censoring country.  While our techniques give us a lot more geographical coverage, they come at a price which is flexibility; we are limited to measuring Internet filtering on the IP layer.  More sophisticated filtering techniques such as deep packet inspection remain outside our scope.</p>

<p>Now what we did was to measure the connectivity between several dozen Tor relays and computers in China over four weeks which means that we collected plenty of data points, each of which telling us "was A able to talk to B at time T?".  These data points reveal a number of interesting things:</p>

<ul>
<li>It appears that many IP addresses inside the China Education and Research Network (CERNET) are able to connect to at least our Tor relay.</li>
<li>Apart from the CERNET netblock, the filtering seems to be quite effective despite occasional country-wide downtimes.</li>
<li>It seems like the filtering is centralised at the IXP level instead of being decentralised at the provincial level.  That makes sense from the censor's point of view because it is cheap, effective, and easy to control.</li>
</ul>

<p>Now what does all of this mean for Tor users?  Our results show that China still has a tight grip on its communication infrastructure, especially on the IP and TCP layer.  That is why our circumvention efforts mostly focus on the application layer (with <a href="https://trac.torproject.org/projects/tor/wiki/doc/meek" rel="nofollow">meek</a> being an exception) and pluggable transport protocols such as <a href="http://www.cs.kau.se/philwint/scramblesuit/" rel="nofollow">ScrambleSuit</a> (which is now part of the experimental version of <a href="https://www.torproject.org/projects/torbrowser.html.en#downloads-alpha" rel="nofollow">TorBrowser</a>) and <a href="https://gitweb.torproject.org/pluggable-transports/obfs4.git" rel="nofollow">obfs4</a> are specifically designed to thwart the firewall's <a href="http://www.cs.kau.se/philwint/gfw/" rel="nofollow">active probing attacks</a>.</p>

    </div>
  <div class="categories">
    <ul><li>
        <a href="../category/circumvention">
          circumvention
        </a>
      </li></ul>
  </div>
  <div class="comments">
      <h2>Comments</h2>
      <p>Please note that the comment area below has been archived.</p>
      <a id="comment-76415"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-76415" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 06, 2014</p>
    </div>
    <a href="#comment-76415">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-76415" class="permalink" rel="bookmark">So which PT is able to</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>So which PT is able to circumvent the great firewall? is the next release able to do that out of the box?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-76434"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-76434" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phw
  <div class="field field--name-field-display-name field--type-string field--label-visually_hidden">
    <div class="field--label sr-only">Display Name</div>
              <div class="field--item">Philipp Winter</div>
          </div>
</article>
    <div class="comment-header">
      <p class="comment__submitted"><a class="tor" title="View user profile." href="/user/46">Philipp Winter</a> said:</p>
      <p class="date-time">October 07, 2014</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-76415" class="permalink" rel="bookmark">So which PT is able to</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-76434">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-76434" class="permalink" rel="bookmark">ScrambleSuit and obfs4</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>ScrambleSuit and obfs4 should be able to. In general, meek also should but the Google infrastructure isn't accessible at the moment, as far as I know.</p>
<p>The current experimental version of TorBrowser already contains ScrambleSuit and meek but obfs4 is still missing.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-76462"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-76462" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 08, 2014</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-76434" class="permalink" rel="bookmark">ScrambleSuit and obfs4</a> by <a class="tor" title="View user profile." href="/user/46">Philipp Winter</a></p>
    <a href="#comment-76462">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-76462" class="permalink" rel="bookmark">does orbot support</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>does orbot support scramblesuit?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-76531"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-76531" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 12, 2014</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-76462" class="permalink" rel="bookmark">does orbot support</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-76531">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-76531" class="permalink" rel="bookmark">I&#039;m a Chinese student, I</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I'm a Chinese student, I want to use OrBot but it's not working in Hong Kong, and there's no data surrounding it, not even on the official GuardianProject website, and they don't answer when you chat with on #guadianproject, and sending an email is not an option. I have no thoughts on what to do.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-76536"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-76536" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 12, 2014</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-76531" class="permalink" rel="bookmark">I&#039;m a Chinese student, I</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-76536">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-76536" class="permalink" rel="bookmark">Tor for mobile is now more</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Tor for mobile is now more important than ever, even more than desktop,but until the guardian project get their shit together and start focusing on the important things, one project at a time,before distributig their resources on numerous but barely-working projects (reading orbot's official page is like reading the "one weird trick to make your arbs grow faster" nothing but marketing with no actual info), you could easily set up a tor hotspot on a desktop for mobile users, but you'd probably need tails to do that if you want a fully torrified system, but as far as I know, unfortuntely tails only supports obfs3 (I'm not sure, I tried asking on #tails and searching the official tails website, and found no info, apparently not even the devs know what pt is supported by tails) which as I understand is blocked in China.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-76566"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-76566" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 13, 2014</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-76536" class="permalink" rel="bookmark">Tor for mobile is now more</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-76566">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-76566" class="permalink" rel="bookmark">Tails only supports obfs3.</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Tails only supports obfs3. it doesn't support any other pluggable transport. I'm not sure why the tails devs are way behind concerning tails' core "engine" which is tor. but they're not exactly known to be your no-nonsense top developer either, tails experienced so much ip leaks disasters even in stable releases, which most were actually reported by third parties instead of being discovered  by tails' people...</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-76581"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-76581" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 14, 2014</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-76531" class="permalink" rel="bookmark">I&#039;m a Chinese student, I</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-76581">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-76581" class="permalink" rel="bookmark">you can use try a sockets</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>you can use try a sockets proxy and with bridge together ?</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-76547"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-76547" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 13, 2014</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-76462" class="permalink" rel="bookmark">does orbot support</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-76547">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-76547" class="permalink" rel="bookmark">The latest version should,</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>The latest version should, as it is tor-0.2.5.x based.  The primary blocker to getting ScrambleSuit support in Orbot has been that it was shipping with tor-0.2.4.x.</p>
<p>The actual ScrambleSuit support code has been in obfsclient (what is used on Android) for a while.  Note that I haven't tested this in quite a while (been busy with other things), but if it's broken please let us know.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-76567"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-76567" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 13, 2014</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-76547" class="permalink" rel="bookmark">The latest version should,</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-76567">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-76567" class="permalink" rel="bookmark">I tested OrBot&#039;s</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I tested OrBot's scramblesuite support. Result: it doesn't support it.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-76619"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-76619" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 15, 2014</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-76567" class="permalink" rel="bookmark">I tested OrBot&#039;s</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-76619">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-76619" class="permalink" rel="bookmark">Well, that&#039;s odd.  Since</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Well, that's odd.  Since this is important to me (because I wrote the implementation they use), I went and tested it on my cellphone with one of the TBB 4.0 default ScrambleSuit bridges, and it bootstrapped to 100% fine, and I can browse the web through the bridge.</p>
<p>Granted, I tried a few bridges on my desktop before I found one that I knew was up before I went and plugged it into Orbot because the UX is somewhat painful.</p>
<p>So, at least with Orbot 14.0.8.1, ScrambleSuit bridges indeed work fine.  If it doesn't work for you, it is likely that you are running an old version, the bridge itself is down/unreachable, or there was user error when entering the bridge config.  If you can positively rule out all of those things, file a ticket.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div></div></div></div><a id="comment-76433"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-76433" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 07, 2014</p>
    </div>
    <a href="#comment-76433">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-76433" class="permalink" rel="bookmark">What concrete IP addresses</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>What concrete IP addresses are whitelist by GFW in China Education and Research Network? Can we utilize those IP block of whitelist to bypass GFW in China?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-76436"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-76436" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phw
  <div class="field field--name-field-display-name field--type-string field--label-visually_hidden">
    <div class="field--label sr-only">Display Name</div>
              <div class="field--item">Philipp Winter</div>
          </div>
</article>
    <div class="comment-header">
      <p class="comment__submitted"><a class="tor" title="View user profile." href="/user/46">Philipp Winter</a> said:</p>
      <p class="date-time">October 07, 2014</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-76433" class="permalink" rel="bookmark">What concrete IP addresses</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-76436">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-76436" class="permalink" rel="bookmark">The IP addresses were</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>The IP addresses were randomly determined. While we only ran traceroutes to a subset of CERNET, the machines we selected were consistently reachable. As for circumvention, it might be possible to run a Tor relay inside CERNET but we haven't tried that yet.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-76435"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-76435" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 07, 2014</p>
    </div>
    <a href="#comment-76435">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-76435" class="permalink" rel="bookmark">I&#039;m in China. Besides</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I'm in China. Besides flashproxy, fte, meek-google, obfs3, ScrambleSuit, only meek-amazon can work. But it's quite slow.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-76450"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-76450" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 07, 2014</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-76435" class="permalink" rel="bookmark">I&#039;m in China. Besides</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-76450">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-76450" class="permalink" rel="bookmark">If those integrated bridges</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>If those integrated bridges don't work for you, please get and add some bridges by your own using the following methods:</p>
<p>1) Email:</p>
<p>obfs3 bridges: send an email to <a href="mailto:bridges@torproject.org" rel="nofollow">bridges@torproject.org</a> and the body should be "get transport obfs3" (without quotes).</p>
<p>fte bridges: send an email to <a href="mailto:bridges@torproject.org" rel="nofollow">bridges@torproject.org</a> and the body should be "get transport fte" (without quotes).</p>
<p>Note: if you use this method then you need to use one of the following email providers: Riseup, Gmail or Yahoo.</p>
<p>2) Website:</p>
<p> obfs3 bridges: <a href="https://bridges.torproject.org/bridges?transport=obfs3" rel="nofollow">https://bridges.torproject.org/bridges?transport=obfs3</a><br />
 fte bridges: <a href="https://bridges.torproject.org/bridges?transport=fte" rel="nofollow">https://bridges.torproject.org/bridges?transport=fte</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-76478"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-76478" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 09, 2014</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-76450" class="permalink" rel="bookmark">If those integrated bridges</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-76478">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-76478" class="permalink" rel="bookmark">In CERNET , obfs2, obfs3,</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>In CERNET , obfs2, obfs3, obfs4, ScrambleSuit can work<br />
FTE is blocked absolutely from September 2014 to now.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-82965"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-82965" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">December 15, 2014</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-76435" class="permalink" rel="bookmark">I&#039;m in China. Besides</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-82965">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-82965" class="permalink" rel="bookmark">sorry scranblesuite works</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>sorry scranblesuite works fine now</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-76439"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-76439" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 07, 2014</p>
    </div>
    <a href="#comment-76439">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-76439" class="permalink" rel="bookmark">I you want to legally check</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I you want to legally check the traffic outgoing from China you might consider renting a China-based VPS or VPN with exit in China;)</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-76441"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-76441" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phw
  <div class="field field--name-field-display-name field--type-string field--label-visually_hidden">
    <div class="field--label sr-only">Display Name</div>
              <div class="field--item">Philipp Winter</div>
          </div>
</article>
    <div class="comment-header">
      <p class="comment__submitted"><a class="tor" title="View user profile." href="/user/46">Philipp Winter</a> said:</p>
      <p class="date-time">October 07, 2014</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-76439" class="permalink" rel="bookmark">I you want to legally check</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-76441">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-76441" class="permalink" rel="bookmark">We did that a while ago. But</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>We did that a while ago. But it didn't help in this case because we wanted to check the connectivity from a lot of vantage points in China.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-76456"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-76456" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 08, 2014</p>
    </div>
    <a href="#comment-76456">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-76456" class="permalink" rel="bookmark">this is great!
are there</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>this is great!</p>
<p>are there similar studies/metrics available or being planned for Iran?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-76457"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-76457" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phw
  <div class="field field--name-field-display-name field--type-string field--label-visually_hidden">
    <div class="field--label sr-only">Display Name</div>
              <div class="field--item">Philipp Winter</div>
          </div>
</article>
    <div class="comment-header">
      <p class="comment__submitted"><a class="tor" title="View user profile." href="/user/46">Philipp Winter</a> said:</p>
      <p class="date-time">October 08, 2014</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-76456" class="permalink" rel="bookmark">this is great!
are there</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-76457">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-76457" class="permalink" rel="bookmark">Not at this point but there</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Not at this point but there are similar papers you might be interested in:<br />
<a href="http://censorbib.nymity.ch/#Aryan2013" rel="nofollow">http://censorbib.nymity.ch/#Aryan2013</a><br />
<a href="http://censorbib.nymity.ch/#Anderson2013" rel="nofollow">http://censorbib.nymity.ch/#Anderson2013</a><br />
<a href="http://censorbib.nymity.ch/#Anderson2012" rel="nofollow">http://censorbib.nymity.ch/#Anderson2012</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-76473"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-76473" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 09, 2014</p>
    </div>
    <a href="#comment-76473">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-76473" class="permalink" rel="bookmark">There is a lot of Asians who</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>There is a lot of Asians who studied in the US/USA in computer science and cryptography who have gone back to China and now work for China. Why don't you go talk to the institutions about computer science and cryptography and maybe they can provide some light on how to go around this Great Firewall of China. Also, China is a politically dominant structure, so the ones blocking and censoring is within the government infrastructure. Just some thought for you all about this post.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-76477"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-76477" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 09, 2014</p>
    </div>
    <a href="#comment-76477">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-76477" class="permalink" rel="bookmark">As a Chinese student , I</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>As a Chinese student , I don't like TorBrowser .<br />
The TorBrowser connected slowly , and working for several minuts. Then Tor is blocked by GFW, I couldn't feel it in time.</p>
<p>I like Vidalia very much . It can show me the Network Map , and Advanced log.</p>
<p>Please release tor-Vidalia-pluggable-transports bundle as soon as possible</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-76498"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-76498" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 10, 2014</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-76477" class="permalink" rel="bookmark">As a Chinese student , I</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-76498">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-76498" class="permalink" rel="bookmark">我也是中国人，我只</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>我也是中国人，我只想说你第一段中文相当不礼貌。<br />
对于生活在中国内地的普通人，我对与TOR相关的每一款产品对充满敬意与感激。</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-76502"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-76502" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 10, 2014</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-76498" class="permalink" rel="bookmark">我也是中国人，我只</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-76502">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-76502" class="permalink" rel="bookmark">Sorry, my english isn&#039;t good</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Sorry, my english isn't good enough. I love Tor , and use it everyday. Lots of thanks for developers.</p>
<p>I just want to say, TorBrowser is not suitable in China. The Vidalia Bundle is the best .</p>
<p>Because the GFW filter rules is optimised everyday , the Plugable Bridges go to failure often. Once TorBrowser start success, after some minutes is will disconnected. It's hard to know when its down, and must restart whole Firefox, no matter how many tabs are open. So its not easy to use in China.</p>
<p>That's why Tor is rarely used outside CERNET. I used Tor in many city, There is no significant difference of GFW Filter between CERNET and other ChinaNets. Just because most Tor users should be Master degree or above. These guys understand Bridge, and know how to use Bridge. Other people outside univerty, mostly use GoAgent / FreeGate / Wujie etc.</p>
<p>According to my experience, The Vidalia Bundle is more suitable for Chinese. They user Chrome/Firefox, and install SwitchySharp/Autoproxy, and subscribe GFWList , then use Tor/Vidalia as proxy.</p>
<p>So, please release Tor-Vidalia-pluggable-transports bundle, following each TorBrowser release cycle.</p>
<p>Thanks a lot for everybody in Tor team.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-76527"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-76527" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 12, 2014</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-76502" class="permalink" rel="bookmark">Sorry, my english isn&#039;t good</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-76527">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-76527" class="permalink" rel="bookmark">TorBrowser does connect to</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>TorBrowser does connect to the bridges. But after a few minutes, it cannot receive any data anymore. It just keeps sending data out.  I need to restart the TorBrowser to make it work. It looks like the connections were closed ( I do not know the exact reason, I can reproduce the simliar result by disconnecting the Internet and connect again.) But meek is exception.<br />
some parts of china throttle non http/https connection.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div></div><a id="comment-76503"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-76503" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 10, 2014</p>
    </div>
    <a href="#comment-76503">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-76503" class="permalink" rel="bookmark">Until now,TorBrowser is </a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Until now,TorBrowser is  working very well here,no problem.Thanks for developing and Maintenance team</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-76507"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-76507" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 11, 2014</p>
    </div>
    <a href="#comment-76507">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-76507" class="permalink" rel="bookmark">Thank you very much for your</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Thank you very much for your work on GFW.<br />
I am from China.<br />
After I use new obf3 bridges I am more likely to be able to Tor.<br />
It seems that  bridges can only work for period of time. Then they are blocked by someone.<br />
Sometimes Torbrower works very fast. When I was looking for more information about this exit relay at Atlas.  There is no information for the relays.<br />
I guess someone forges bridges and tor relay to inspect tor users in China. Then they decided how to block tor.<br />
And there is a very interesting thing. Many in China use Freegate which is more popular than tor in China to visite blocked site. That software always works smoothly except some things happened in China. So GFW may aim at Tor. and has some cooperation with Freegate. I guess.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-76534"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-76534" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phw
  <div class="field field--name-field-display-name field--type-string field--label-visually_hidden">
    <div class="field--label sr-only">Display Name</div>
              <div class="field--item">Philipp Winter</div>
          </div>
</article>
    <div class="comment-header">
      <p class="comment__submitted"><a class="tor" title="View user profile." href="/user/46">Philipp Winter</a> said:</p>
      <p class="date-time">October 12, 2014</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-76507" class="permalink" rel="bookmark">Thank you very much for your</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-76534">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-76534" class="permalink" rel="bookmark">The GFW actively probes</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>The GFW actively probes bridges in order to block them:<br />
<a href="http://www.cs.kau.se/philwint/static/gfc/" rel="nofollow">http://www.cs.kau.se/philwint/static/gfc/</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-82974"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-82974" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">December 15, 2014</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-76507" class="permalink" rel="bookmark">Thank you very much for your</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-82974">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-82974" class="permalink" rel="bookmark">The freegate is deployed for</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>The freegate is deployed for religion and politics by someone who are opposed to CPC,</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-76533"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-76533" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 12, 2014</p>
    </div>
    <a href="#comment-76533">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-76533" class="permalink" rel="bookmark">Why does Tor &quot;doesn&#039;t try to</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Why does Tor "doesn't try to hide the fact you are using tor"? an *anonymity* network should prioritize hiding the fact you are using tor. For example by always seeming to be TLS1.2 and only using port 443.  among other features.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-76535"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-76535" class="contextual-region comment js-comment by-node-author" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  phw
  <div class="field field--name-field-display-name field--type-string field--label-visually_hidden">
    <div class="field--label sr-only">Display Name</div>
              <div class="field--item">Philipp Winter</div>
          </div>
</article>
    <div class="comment-header">
      <p class="comment__submitted"><a class="tor" title="View user profile." href="/user/46">Philipp Winter</a> said:</p>
      <p class="date-time">October 12, 2014</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-76533" class="permalink" rel="bookmark">Why does Tor &quot;doesn&#039;t try to</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-76535">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-76535" class="permalink" rel="bookmark">If only it were that easy.</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>If only it were that easy. See also:<br />
<a href="https://trac.torproject.org/projects/tor/wiki/org/projects/Tor/TLSHistory" rel="nofollow">https://trac.torproject.org/projects/tor/wiki/org/projects/Tor/TLSHisto…</a></p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-76537"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-76537" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 12, 2014</p>
    </div>
    <a href="#comment-76537">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-76537" class="permalink" rel="bookmark">I&#039;ve noticed that with the</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I've noticed that with the latest Tor update the same entry node is used across multiple sessions. If I'm not mistaken this was not the case earlier. Why &amp; when was this done and how do I force the selection of a different entry node, if I'm getting  low bandwidth with the current one?</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-76561"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-76561" class="contextual-region comment js-comment" id="comment-">
  <footer class="comment__meta">
    <article class="contextual-region">
  arma
  </article>
    <div class="comment-header">
      <p class="comment__submitted">arma said:</p>
      <p class="date-time">October 13, 2014</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-76537" class="permalink" rel="bookmark">I&#039;ve noticed that with the</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-76561">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-76561" class="permalink" rel="bookmark">https://blog.torproject.org/b</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p><a href="https://blog.torproject.org/blog/improving-tors-anonymity-changing-guard-parameters" rel="nofollow">https://blog.torproject.org/blog/improving-tors-anonymity-changing-guar…</a><br />
<a href="https://www.petsymposium.org/2014/papers/Dingledine.pdf" rel="nofollow">https://www.petsymposium.org/2014/papers/Dingledine.pdf</a><br />
<a href="https://trac.torproject.org/projects/tor/ticket/12688" rel="nofollow">https://trac.torproject.org/projects/tor/ticket/12688</a></p>
<p>We also raised the threshold for getting the Guard flag, so it's quite unlikely that your guard is actually the bottleneck in your circuits.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-76569"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-76569" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 14, 2014</p>
    </div>
              <p class="parent visually-hidden">In reply to arma</p>
    <a href="#comment-76569">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-76569" class="permalink" rel="bookmark">I&#039;m not well versed with</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I'm not well versed with data security, privacy, and related areas. It seems to me to be a balance between the risk to a few and the risk to many. In the new scheme, the group of people unfortunate enough to select a compromised entry guard could have all their traffic potentially de-anonymized until the breach is discovered, whereas in the earlier scheme, such a risk would be mitigated by guard rotation? How should one calculate this greater risk (if it is), when deciding to use Tor?</p>
<p>I had Vidalia running as well and I deleted few circuits to seek bandwidth improvement to no avail. When I exited TBB, deleted the "state" file and restarted TBB, however, there was a several-fold improvement with a new entry guard.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div></div><a id="comment-76548"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-76548" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 13, 2014</p>
    </div>
    <a href="#comment-76548">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-76548" class="permalink" rel="bookmark">It&#039;s decided better to have</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>It's decided better to have some users cursed to use XXX entry guards forever to help others to evade them.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-76565"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-76565" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 13, 2014</p>
    </div>
    <a href="#comment-76565">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-76565" class="permalink" rel="bookmark">if the torproject succeeds</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>if the torproject succeeds in making torbrowser work by default out of the box in china they're going to receive so much funding they won't even know what to do with</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-76571"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-76571" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 14, 2014</p>
    </div>
    <a href="#comment-76571">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-76571" class="permalink" rel="bookmark">I was in China for two weeks</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I was in China for two weeks this summer, obfs3 bridges worked perfectly for me. I used the same 6 bridges on Orbot and on my desktop and they worked for my entire stay. It was easy to set up, although Orbot could do with a more documentation, both in-app and on the website.</p>
<p>I think a lot of people don't realize that because they are in China they *must* get their own bridges and the ones bundles with the browser will be blocked, so instead assume that obfs3 doesn't work any more (it may well be the case that it is blocked now). The way the interface is written makes it sound like setting custom bridges are an advanced complicated thing to do.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-76620"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-76620" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 15, 2014</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-76571" class="permalink" rel="bookmark">I was in China for two weeks</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-76620">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-76620" class="permalink" rel="bookmark">Indeed it&#039;s partially a user</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>Indeed it's partially a user education problem, though as you noted the current user experience is also far from ideal (more so with the ScrambleSuit/obfs4 due to the password/cert).  The rate at which they block the default bridges appears to be somewhat variable, which doesn't help the situation either.</p>
<p>Last I heard the Guardian Project folks had some neat ideas on how to simplify this process, but that was a bit ago and I haven't heard from them recently.</p>
<p>On a unrelated note, I'm glad that obfs3 on Orbot worked well for you, because if it was broken I would have to fix it.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-76580"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-76580" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 14, 2014</p>
    </div>
    <a href="#comment-76580">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-76580" class="permalink" rel="bookmark">I live in China.
I don&#039;t</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I live in China.<br />
I don't agree that GFW as a whole is completely centralized. While the policy of blocking Tor might be the same, other blocking policies such as IP/keyword blacklists is different between provinces or even cities. Even if the physical infrastructure of GFW was centralized, they could just determine the policies to be used by GeoIP.<br />
By the way, from the day Tor got bridge features, I noted that no matter what protocol a bridge host uses, it will be blocked after a while. At first I thought Fang and his minions use their manpower to actively make a list of bridges and blacklist them. However according to some papers I learned that they had automated this process by adding some triggers to their filtering servers.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-76584"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-76584" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 14, 2014</p>
    </div>
    <a href="#comment-76584">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-76584" class="permalink" rel="bookmark">i am in china,torbrowser is</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>i am in china,torbrowser is work good but not in obfs3 bridge.in some setup in torc can speed up connect .Vidalia can not use.<br />
but why china can brock tor ?perhaps in china many computer have spy soft install,if u test,can download qq.com the pop soft in china chat software.i gusess. and china made mobile phone have backdoor to report what you are visit in web site.<br />
and epacially one ip in china is diffrent in counrty or outside china i tested.<br />
so not only ixp but in evryone pc or mobile phone just have install the spy soft,can report what are u doing in internet.<br />
but it's a guest,for when i intall firewall to block ip in china,i find my computer visit cn ip without my permision.when block cn ip i feel freely to surfer.<br />
but some time i change bridge even ScrambleSuit ,some time can't access,<br />
it show  when hadnshake 25%,show can not aceccse xx.xx.xxx.xxx. tlc connect fail.<br />
perhaps some brige adress they brocked.<br />
can u make a wilder adress  range ,not just only some little bridge in same subnet.</p>
<p>NumEntryGuards 8 ot NumEntryGuards 3 w\hich good ?<br />
thanks tor team.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-76692"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-76692" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 16, 2014</p>
    </div>
    <a href="#comment-76692">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-76692" class="permalink" rel="bookmark">for in china cumputer or</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>for in china cumputer or mobile have spy software,if find someone visit the adress that is blocked but not direct and find meanwhile one internet ip is outside the china,they will brock that that ip ,for it msut a proxy ?it's my guest.when i use a firewall to block all china destiny  ip,and use orbot just by prxoy connect with plain bridge ip, the speed to blocked web is fast.when i close firwwall ,for a little while the orbot is blocked.<br />
you can buy a china made android phone to test it,what ever in us or china. just like levono a830,but must chinese version.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-76985"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-76985" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 19, 2014</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-76692" class="permalink" rel="bookmark">for in china cumputer or</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-76985">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-76985" class="permalink" rel="bookmark">I am in China. I don&#039;t think</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I am in China. I don't think it's spy softwares to cause those problem. The ISP(Internet Service Provider)s has their own DNS server and some servers to explain DNS and ip address.<br />
The ISPs in China usually point domain name to their ad web site for money. They hijack DNS very offten in China. China Union and Great Wall Broad Band and China tietong they all do this things.<br />
And they also hijack IP address.<br />
I used Norton DNS to protect my computer from visit some websites years ago. Now it doesn't work. I also tried some other famous DNS to do the same thing.  All those DNS can not function well. The computer still can visit sexy website and be direct to ad website. I guess they point some IP to their own DNS server.<br />
And also I think every ISP can block websites they wanted. I have found that a foreign website blocked by one ISP company while it can be visited by using other Internet connection provided by other ISP.<br />
GFW is notorious in China. Mr Fang who called the father of GFW had cancer last year. He got thousands curses on his weibo. So I think it is not safe to send people to universities to work for GFW. Usually the network in universities operated by teachers and students in computer science department.<br />
It's good to arrange those to commercial ISPs secretly. I guess that is why those can hijack DNS for money many years. and Newspeople in China had reported those things because it is very serious now adding advertisement stealing commercial secrets and users information . And judicial authority did nothing to it.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-77051"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-77051" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 19, 2014</p>
    </div>
    <a href="#comment-77051">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-77051" class="permalink" rel="bookmark">I&#039;d like to answer this</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I'd like to answer this question.</p>
<p>When a computer in China tries to connect to a Tor relay, what part of the TCP handshake is blocked?</p>
<p>Usually if a computer in China tries to connect a ip address first time, the ISP first direct it to a advertisement then jump to the server the ip address points.</p>
<p>Sometime it allows people to connect to true ip address after the ads are visited and sometimes the ad server redirect ip to people wanted or the site they want people visiting after the ads visiting number and users' information they have got.</p>
<p>Several times I tried to visit an online shop and it goes to another online shop. It makes me very angry. I have to click go back button many times. then the website I wanted can be shown up.</p>
<p>So the first time TCP handshake is not to the relay. After the computer be allowed to connect to the true ip address it can connect to a Tor relay.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<a id="comment-77104"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-77104" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">October 20, 2014</p>
    </div>
    <a href="#comment-77104">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-77104" class="permalink" rel="bookmark">I&#039;m in China, and I use IPv6</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>I'm in China, and I use <em>IPv6</em> non-obfuscated bridge relays and it works. It looks like GFW can't block encrypted IPv6 traffic.</p>
</div>
  </div>
</article>
<!-- Comment END -->
<div class="indented"><a id="comment-91881"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-91881" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">April 03, 2015</p>
    </div>
              <p class="parent visually-hidden">In reply to <a href="#comment-77104" class="permalink" rel="bookmark">I&#039;m in China, and I use IPv6</a> by <span>Anonymous (not verified)</span></p>
    <a href="#comment-91881">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-91881" class="permalink" rel="bookmark">It&#039;s good keep it up.</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>It's good keep it up.</p>
</div>
  </div>
</article>
<!-- Comment END -->
</div><a id="comment-84790"></a>
<div class="comment-meta-filler">
<!-- Comment -->
<article id="comment-84790" class="contextual-region comment js-comment by-anonymous" id="comment-">
  <footer class="comment__meta">
    <div class="comment-header">
      <p class="comment__submitted"><span>Anonymous (not verified)</span> said:</p>
      <p class="date-time">December 23, 2014</p>
    </div>
    <a href="#comment-84790">Permalink</a>
  </footer>
  <div class="content">
      <h3><a href="#comment-84790" class="permalink" rel="bookmark">If you need to any test from</a></h3>
      <div></div>
            <div class="field field--name-comment-body field--type-text-long field--label-hidden field--item"><p>If you need to any test from China, just make it as a volunteer task. Simply write a clear instruction about how to do it. I am sure there will be a lot of people will be more than happy to help you on this.</p>
</div>
  </div>
</article>
<!-- Comment END -->
  </div>
  </article>

</main>
    <aside class="sidebar">
<!-- ##SIDEBAR## -->
</aside>
  </section>
  <footer><div class="row download">
    <div class="col circles"></div>
    <div class="col link">
        <h3>Download Tor Browser</h3>
        <p>Download Tor Browser to experience real private browsing without tracking, surveillance, or censorship.</p>
        <a class="btn" href="https://www.torproject.org/download/">Download Tor Browser <i class="fas fa-arrow-down-png-purple"></i></a>
    </div>
</div>
<div class="row social">
    <div class="col newsletter">
        <h3>Subscribe to our Newsletter</h3>
        <p>Get monthly updates and opportunities from the Tor Project:</p>
        <p class="w"><a class="btn btn-dark" role="button" href="https://newsletter.torproject.org/">Sign up</a></p>
    </div>
    <div class="col links">
        <div class="row">
            <h4><a target="_blank" href="https://www.facebook.com/TorProject/"><i class="fab fa-facebook"></i></a></h4>
            <h4><a target="_blank" href="https://mastodon.social/@torproject" rel="me"><i class="fab fa-mastodon"></i></a></h4>
            <h4><a target="_blank" href="https://twitter.com/torproject"><i class="fab fa-twitter"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://www.instagram.com/torproject"><i class="fab fa-instagram"></i></a></h4>
            <h4><a target="_blank" href="https://www.linkedin.com/company/tor-project"><i class="fab fa-linkedin"></i></a></h4>
            <h4><a target="_blank" href="https://github.com/torproject"><i class="fab fa-github"></i></a></h4>
        </div>
        <div class="row">
            <h4><a target="_blank" href="https://t.me/torproject"><i class="fab fa-telegram"></i></a></h4>
        </div>
    </div>
</div>
<div class="row notice">
    <p>Trademark, copyright notices, and rules for use by third parties can be found in our <a href="https://www.torproject.org/about/trademark/">FAQ</a>.</p>
</div></footer>
</body>
</html>
